uniform sampler2D texture;
     uniform highp float texelWidthOffset;
     uniform highp float texelHeightOffset;
     uniform bool enable;

     varying vec2 v_TexCoordinate;
     varying highp vec2 blurCoordinates[15];

     void main()
     {
     if (!enable) {
     gl_FragColor = texture2D(texture, v_TexCoordinate);
     return;
     }
        lowp vec4 sum = vec4(0.0);
                sum += texture2D(texture, blurCoordinates[0]) * 0.037231;
                sum += texture2D(texture, blurCoordinates[1]) * 0.073698;
                sum += texture2D(texture, blurCoordinates[2]) * 0.073698;
                sum += texture2D(texture, blurCoordinates[3]) * 0.070721;
                sum += texture2D(texture, blurCoordinates[4]) * 0.070721;
                sum += texture2D(texture, blurCoordinates[5]) * 0.065661;
                sum += texture2D(texture, blurCoordinates[6]) * 0.065661;
                sum += texture2D(texture, blurCoordinates[7]) * 0.058986;
                sum += texture2D(texture, blurCoordinates[8]) * 0.058986;
                sum += texture2D(texture, blurCoordinates[9]) * 0.051269;
                sum += texture2D(texture, blurCoordinates[10]) * 0.051269;
                sum += texture2D(texture, blurCoordinates[11]) * 0.043116;
                sum += texture2D(texture, blurCoordinates[12]) * 0.043116;
                sum += texture2D(texture, blurCoordinates[13]) * 0.035083;
                sum += texture2D(texture, blurCoordinates[14]) * 0.035083;
                highp vec2 singleStepOffset = vec2(texelWidthOffset, texelHeightOffset);
                sum += texture2D(texture, blurCoordinates[0] + singleStepOffset * 15.468019) * 0.027620;
                sum += texture2D(texture, blurCoordinates[0] - singleStepOffset * 15.468019) * 0.027620;
                sum += texture2D(texture, blurCoordinates[0] + singleStepOffset * 17.463907) * 0.021039;
                sum += texture2D(texture, blurCoordinates[0] - singleStepOffset * 17.463907) * 0.021039;
                sum += texture2D(texture, blurCoordinates[0] + singleStepOffset * 19.459797) * 0.015506;
                sum += texture2D(texture, blurCoordinates[0] - singleStepOffset * 19.459797) * 0.015506;
                sum += texture2D(texture, blurCoordinates[0] + singleStepOffset * 21.455696) * 0.011057;
                sum += texture2D(texture, blurCoordinates[0] - singleStepOffset * 21.455696) * 0.011057;
                sum += texture2D(texture, blurCoordinates[0] + singleStepOffset * 23.451599) * 0.007629;
                sum += texture2D(texture, blurCoordinates[0] - singleStepOffset * 23.451599) * 0.007629;
                gl_FragColor = sum;
     }